Enable using qualified field of constructor in GHCi
ClosedPublic

Authored by watashi on May 22 2015, 12:06 AM.

Details

Summary

The -fimplicit-import-qualified made it possible to uses qualifed names
in GHCi without explicitly import the modules. But it didn't work for
field of constructor, this patch fixed this issue.

Test Plan

cd testsuite/tests/rename/ && make
cd testsuite/tests/ghci/ && make

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
watashi updated this revision to Diff 2979.May 22 2015, 12:06 AM
watashi retitled this revision from to Enable using qualified field of constructor in GHCi.
watashi updated this object.
watashi edited the test plan for this revision. (Show Details)
watashi added reviewers: austin, simonpj.
watashi updated the Trac tickets for this revision.
austin accepted this revision.Jun 2 2015, 9:38 AM
austin edited edge metadata.

LGTM!

This revision is now accepted and ready to land.Jun 2 2015, 9:38 AM
simonpj accepted this revision.Jun 3 2015, 8:13 AM
simonpj edited edge metadata.

Looks great: Austin please land this

Simon

This revision was automatically updated to reflect the committed changes.